# $Revision: 1.25 $, $Date: 2004/05/07 00:29:07 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Eroot
Summary:	Class::Eroot - an eternal root to handle persistent objects
Summary(pl):	Class::Eroot - wieczny "korze" do przechowywania trwaych obiektw
Name:		perl-Class-Eroot
Version:	19960603
Release:	11
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71e3a3aafb41275605816c0b547fd403
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Eroot is a simple object persistence engine that can persist
any datatype. Some objects will need to have an extra method or two
added to their classes, but this is probably the exception rather than
the rule.

%description -l pl
Class::Eroot to prosty mechanizm przechowywania obiektw, ktry moe
przechowa dowolny typ danych. Niektre obiekty potrzebuj dodatkowej
metody czy dwch dodanych do swoich klas, ale to bardziej wyjtek ni
zasada.

%prep
%setup -q -n %{pdir}-%{pnam}

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"Class::Eroot");' \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Class/*.pm
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Eroot.spec,v $
Revision 1.25  2004/05/07 00:29:07  ankry
- rel. 11

Revision 1.24  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.23  2004/05/01 00:01:03  ankry
- rel. 10

Revision 1.22  2004/04/30 23:59:53  ankry
- informative summary

Revision 1.21  2004/04/25 16:13:34  ankry
- cosmetics: unifications

Revision 1.20  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.19  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.18  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.13  2003/02/18 15:28:02  ankry
- massive attack: change CPAN URLs

Revision 1.12  2002/07/29 07:59:41  qboosh
- removed %%{_mandir}/man3 dir from package; release 8

Revision 1.11  2002/07/25 17:06:28  radek
- workaround over missing Makefile.PL, standarized && fixed
- removed useless README
- release 7

Revision 1.10  2002/05/22 08:44:15  qboosh
- removed %%{perl_sitelib}/Class dir (belongs to perl); new %%doc; release 6

Revision 1.9  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.2  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
